import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const NavbarMenuEnd = /*@__PURE__*/ proxyCustomElement(class NavbarMenuEnd extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        /**
         * @internal
         * Defines the type of navbar. App is used for almost every web applications
         * like the portal app. For our sales funnel we recommend to use the simple navbar.
         * Meta and main are used for the website.
         */
        this.interface = 'app';
    }
    render() {
        const menuEndEl = BEM.block('navbar').element('menu').element('end');
        return (h(Host, { key: 'f14a32308315faa073437ea9f98198fda0b1c10e', class: Object.assign(Object.assign({}, menuEndEl.class()), menuEndEl.modifier(`context-${this.interface}`).class()) }, h("slot", { key: '46fca68cb333182ac0ba7bab88e8f119a7493f67' })));
    }
}, [4, "bal-navbar-menu-end", {
        "interface": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-navbar-menu-end"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-navbar-menu-end":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NavbarMenuEnd);
            }
            break;
    } });
}

const BalNavbarMenuEnd = NavbarMenuEnd;
const defineCustomElement = defineCustomElement$1;

export { BalNavbarMenuEnd, defineCustomElement };
